Bug Hunting Session
Bug 53229 - FILEOPEN particular .ods from LibO 3.0.0 shows grouped form fields at wrong horizontal position
Summary: FILEOPEN particular .ods from LibO 3.0.0 shows grouped form fields at wrong h...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.1 RC1
Hardware: Other Windows (All)
: medium normal
Assignee: Noel Power
URL:
Whiteboard: target:3.7.0 target:3.6.2 target:3.5.7
Keywords: regression
Depends on:
Blocks: 53228
  Show dependency treegraph
 
Reported: 2012-08-08 05:37 UTC by Rainer Bielefeld Retired
Modified: 2013-12-12 15:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Kit (34.58 KB, application/x-7z-compressed)
2012-08-08 05:37 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-08-08 05:37:11 UTC
Created attachment 65261 [details]
Test Kit

This is a spin off from "Bug 48272 - FILEOPEN documents created with OOo: VIEWING pictures and objects with wrong hight and at wrong vertical position"

Steps how to reproduce:
1. Open "SimpleSample330.ods" 
2. compare position of checkboxes in the document with view in 3.3.0 
   (see "SimpleSample330.pdf")
   Expected: horizontal position for "SingleCheckbox" and "Markierfeld" group
             should be left end of column "H"
   Actual: Group shifted to the left, Starts in column G

That was still ok with 3.3.0

First time Visible with 3.4.1 RC1 (may be more early)

@Ryszard:
Can you confirm this problem?
Comment 1 Noel Power 2012-08-13 16:46:05 UTC
ok, I will take this ( for now ) and will try to get to the bottom of it
Comment 2 Not Assigned 2012-08-15 12:06:57 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=541986fef0993d749cc7ed790eacace322f43bb0

fix for fdo#53229, import group shapes position and size correctly
Comment 3 Not Assigned 2012-08-15 17:00:48 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c70bd9e2748b375b53eea4454a5b4f922c439ae

followup patch for commit:541986fef0993d749cc7ed790eacace322f43bb0 fdo#53229
Comment 4 Noel Power 2012-08-16 10:19:39 UTC
I believe this is now fixed with my patch
Comment 5 Not Assigned 2012-08-16 15:38:30 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0484239b2704235fef611820af6780364120fbe4&g=libreoffice-3-6

fix for fdo#53229, import group shapes position and size correctly


It will be available in LibreOffice 3.6.2.
Comment 6 Not Assigned 2012-08-16 15:45:38 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7f9b7642c7a2f7723871e72de9f8ed6b3a07e26&g=libreoffice-3-5

fix for fdo#53229, import group shapes position and size correctly


It will be available in LibreOffice 3.5.7.